Projects/KML Export/Manual/Installation

From juliano.info

Jump to: navigation, search

Requirements

In order to run KML Export, you need:

  • MediaWiki 1.9 or higher (may work in previous versions, not tested)
  • PHP 5.0 or higher (in the case you want to try an older MediaWiki version)

In order to use the KML files generated by KML Export, your users will need:

Installation Procedure

To install KMLExport, follow these steps:

  1. Download the latest version of the extension from the project page;
  2. Extract it's contents to the extensions directory under your MediaWiki installation directory;
    This will create a directory named KMLExport-version, where version is the version of the extension you downloaded.
  3. Rename the directory created by the above step to just KMLExport (create a symbolic link if you prefer).
  4. Make a backup copy of your LocalSettings.php file and edit it, adding the following line to the end of the file, above the PHP's "?>" end processing tag:
    require_once( $IP . '/extensions/KMLExport/KMLExport.php' );
    
  5. Navigate to your [[Special:Version]] page and check if the extension was loaded correctly.
Views